﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Wpf45StaticBinding
{
    public static class AppSettings
    {
        public static event EventHandler StorageFolderChanged;

        private static string _storageFolder;
        public static string StorageFolder
        {
            get { return _storageFolder; }
            set 
            {
                if (value != _storageFolder)
                {
                    _storageFolder = value;

                    if (StorageFolderChanged != null)
                        StorageFolderChanged(null, EventArgs.Empty);
                }
            }
        }


        public static event EventHandler<PropertyChangedEventArgs> StaticPropertyChanged;

        private static int _speedFactor;
        public static int SpeedFactor
        {
            get { return _speedFactor; }
            set
            {
                if (value != _speedFactor)
                {
                    _speedFactor = value;

                    NotifyStaticPropertyChanged("SpeedFactor");
                }
            }
        }

        private static void NotifyStaticPropertyChanged(string propertyName)
        {
            if (StaticPropertyChanged != null)
                StaticPropertyChanged(null, new PropertyChangedEventArgs(propertyName));
        }

    }
}
